import { OfferService } from "./offer.service";
export declare class OfferController {
    private readonly offerService;
    constructor(offerService: OfferService);
    findActive(lang: "en"): Promise<{
        status: boolean;
        message: string;
        data: any[];
    }>;
    findOne(id: string, lang: "en"): Promise<{
        status: boolean;
        message: string;
        data: any;
    }>;
}
